# Check Inventory

> \[!WARNING] This API is no longer recommended and will not be maintained for newer functionality. It is recommended to use the following APIs instead:
>
> * [BOPIS Check Inventory](/documents/integrate-with-hotwax/hotwax-commerce-api-and-data-feeds/inventory/bopis-check-inventory.md)
> * [Shipping Check Inventory](/documents/integrate-with-hotwax/hotwax-commerce-api-and-data-feeds/inventory/shipping-check-inventory.md)
> * [Get Online ATP](/documents/integrate-with-hotwax/hotwax-commerce-api-and-data-feeds/inventory/get-online-atp.md)

Get the stock details of the product on the specific locations. To get the stock details, you will need to call the `/checkInventory` endpoint with the POST method.

## Request

### End Point

`https://<host>/api/checkInventory`

Example: <https://demo-oms.hotwax.io/api/checkInventory>

### Header

Content-Type: application/json

### Body

In case of checking a product's inventory at multiple facility.

```
{
  "filters": {
    "sku": "<sku>",
    "facilityId": ["<facilityId1>", "<facilityId2>", "<facilityId3>"],
    "facilityId_op": "in"
  }
}
```

In case of checking multiple product's inventory at single facility.

```
{
  "filters": {
    "sku": ["<sku1>", "<sku2>", "<sku3>"],
    "sku_op": "in",
    "facilityId": "<facilityId>"
  }
}
```

**Sample**

```
{
  "filters": {
    "sku": "MSH02-32-Black",
    "facilityId": "STORE_7"
  }
}
```

| Parameter Name                                            | Description                                                        | Required (Y/N) |
| --------------------------------------------------------- | ------------------------------------------------------------------ | -------------- |
| `sku`                                                     | The SKU of the product                                             | N              |
| `sku_op`                                                  | The operator to be used for the sku field                          | N              |
| `productId`                                               | HotWax Commerce internal product Id                                | N              |
| `facilityId`                                              | The HotWax Commerce facility Id where product inventory is located | N              |
| `facilityId_op`                                           | The operator to be used for the facility Id                        | N              |
| `sku_op`                                                  | The operator to be used for the sku field                          | N              |
| Note: It is required to pass either `sku` or `productId`. |                                                                    |                |

## Response

### Status Code

HTTP/1.1 200 OK

### Headers

Content-Type: application/json

### Body

```
{
  "count": "1",
  "docs": [
    {
      "facilityId": "STORE_7",
      "atp": 1.000000
    }
  ]
}
```

| Parameter Name | Description                                       |
| -------------- | ------------------------------------------------- |
| `count`        | Results count                                     |
| `docs`         | The array of results found                        |
| `facilityId`   | The Id of the facility in HotWax                  |
| `atp`          | The available to promise inventory of the product |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/hotwax-commerce-api-and-data-feeds/inventory/check-inventory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
